<?php
// ============== Displaying Additional Columns ===============

if ( ! function_exists('gs_resp_slider_screen_columns') ) {
    add_filter( 'manage_edit-gsrsl-res-slids_columns', 'gs_resp_slider_screen_columns' );

    function gs_resp_slider_screen_columns( $columns ) {
        unset( $columns['date'] );
        $columns['sliderid'] = 'Slider ID';
        $columns['gsrsl-shortcode'] = 'GS Slider Shortcode';
        $columns['author'] = 'Author';
        $columns['date'] = 'Date';
        return $columns;
    }
}

if ( ! function_exists('manage_gsr_slides_table_columns') ) {
    add_action('manage_posts_custom_column', 'manage_gsr_slides_table_columns', 10, 2);

    function manage_gsr_slides_table_columns( $column,$post_ID) {
        switch ( $column ) {
        case 'gsrsl-shortcode' :
            global $post;
            $slug = '' ;
            $slug = $post->ID;
        $shortcode = '[gs_rsl id="'.$slug.'"]';
        echo $shortcode;
        break;
        }

        switch ( $column ) {
        case 'sliderid' :
            global $post;
            $slug = '' ;
            $slug = $post->ID;
        echo $slug;
        break;
        }
    }
}